Преглед на файлове

travis: verify "make install"

Help-by: Jay Satiro
Closes #1753
Daniel Stenberg преди 6 години
родител
ревизия
478596b34b
променени са 2 файла, в които са добавени 37 реда и са изтрити 1 реда
  1. 10 1
      .travis.yml
  2. 27 0
      scripts/installcheck.sh

+ 10 - 1
.travis.yml

@@ -111,8 +111,17 @@ script:
             ./configure
             make
             ./maketgz 99.98.97
-            (tar xf curl-99.98.97.tar.gz && cd curl-99.98.97 && ./configure && make && make TFLAGS=1 test)
+            # verify in-tree build - and install it
+            (tar xf curl-99.98.97.tar.gz && \
+             cd curl-99.98.97 && \
+             ./configure --prefix=$HOME/temp && \
+             make && \
+             make TFLAGS=1 test && \
+             make install)
+            # basic check of the installed files
+            bash scripts/installcheck.sh $HOME/temp
             rm -rf curl-99.98.97
+            # verify out-of-tree build
             (tar xf curl-99.98.97.tar.gz && mkdir build && cd build && ../curl-99.98.97/configure && make && make TFLAGS=1 test)
         fi
 

+ 27 - 0
scripts/installcheck.sh

@@ -0,0 +1,27 @@
+#!/bin/bash
+
+PREFIX=$1
+
+# Run this script in the root of the git clone. Point out the install prefix
+# where 'make install' has already installed curl.
+
+if test -z "$1";  then
+    echo "scripts/installcheck.sh [PREFIX]"
+    exit
+fi
+
+diff -u <(find docs/libcurl/ -name "*.3" -printf "%f\n" | grep -v template| sort) <(find $PREFIX/share/man/ -name "*.3" -printf "%f\n" | sort)
+
+if test "$?" -ne "0"; then
+    echo "ERROR: installed libcurl docs mismatch"
+    exit 2
+fi
+
+diff -u <(find include/ -name "*.h" -printf "%f\n" | sort) <(find $PREFIX/include/ -name "*.h" -printf "%f\n" | sort)
+
+if test "$?" -ne "0"; then
+    echo "ERROR: installed include files mismatch"
+    exit 1
+fi
+
+echo "installcheck: installed libcurl docs and include files look good"